package com.bonus.canteen.core.menu.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("自助餐(计量主机)模型")
public class DeviceMetadataModel {
   @ApiModelProperty("使用模式(1.先绑盘后取餐 2.不绑盘取餐) 默认1")
   private String ifBindplatebeforetakefood;
   @ApiModelProperty("UI模板(1.社餐计价模板 2.不计价营养计量模板 3.xxxxxxxxxxxxxxxxxxxxxx) 默认1")
   private String deviceUITemplate;
   @ApiModelProperty("报警模式(1语音报警  2 语音+滴滴报警  3 屏蔽报警  4 滴滴报警) 默认1")
   private String weighAlarmModel;
   @ApiModelProperty("计价起算重量 默认10g")
   private String minimumsettlementweight;
   @ApiModelProperty("计量精度 默认2g")
   private String stabledifference;
   @ApiModelProperty("菜品余量不足报警 默认-10000")
   private String alarmBelowHowGrams = "-10000";
   @ApiModelProperty("单个餐品单次允许拿取的最大重量 默认5000g")
   private String maxWeightDish;
   @ApiModelProperty("单个餐品单次允许拿取的最大金额 默认160元")
   private String maxPriceDish;
   @ApiModelProperty("单餐允许最大取餐重量 默认5000g")
   private String totalMaxWeightDish;
   @ApiModelProperty("单餐允许拿取的最大金额 默认160元")
   private String totalMaxPriceDish;
   @ApiModelProperty("计量主机使用固额 默认是")
   private String ifUseQuota;
   @ApiModelProperty("固额消费明细")
   private String quotaAmountConfig;
   @ApiModelProperty("最低就餐账户余额 默认30元")
   private String amountNotify;
   @ApiModelProperty("单个用户单餐最大取盘数量 默认3个")
   private String allowBindplatemaxnum;
   @ApiModelProperty("绑盘有效时长在线 默认30分钟无拿菜动作自动解绑时间 ")
   private String weighingValidTimeOnline;
   @ApiModelProperty("取餐后自动结账时长 默认10分钟  最后一次那才后开始计时")
   private String waitingPayTime;
   @ApiModelProperty("设备是否关注余额1关注2不关注")
   private String ifcareblance;
   @ApiModelProperty("设备是否余额不足报警 1是2否")
   private String ifblancealarm;
   @ApiModelProperty("余额不足报警金额（取餐时允许账户最低余额）")
   private String alarmblance;
   @ApiModelProperty("是否关注勺子重量 1是，关注 2否，不关注")
   private String weighIfSpoonWeight = "2";
   @ApiModelProperty("临时菜计价单位(1.50g  2.100g) 默认1")
   private String tempDishesPriceUnit;
   @ApiModelProperty("临时菜单价最大金额 默认100元")
   @JsonProperty("MaxPriceListForTemporaryDishes")
   private String MaxPriceListForTemporaryDishes;
   @ApiModelProperty("临时菜单价递增金额 默认0.5元")
   @JsonProperty("IntervalPriceListForTemporaryDishes")
   private String IntervalPriceListForTemporaryDishes;
   @ApiModelProperty("临时菜单价最大金额 默认0元")
   @JsonProperty("MixPriceListForTemporaryDishes")
   private String MixPriceListForTemporaryDishes;
   @ApiModelProperty("允许离线消费 默认是")
   private String ifOffLinePay;
   @ApiModelProperty("离线是否校验余额 默认开启")
   private String offlineCheckBalance;
   @ApiModelProperty("绑盘有效时长（离线） 默认30分钟")
   private String weighingValidTime;
   @ApiModelProperty("报警时长 默认15秒")
   private String alarmTime;

   public DeviceMetadataModel() {
      this.setDeviceUITemplate("1");
      this.setIfBindplatebeforetakefood("1");
      this.setAmountNotify("3000");
      this.setWeighingValidTime("30");
      this.setWaitingPayTime("30");
      this.setIfOffLinePay("1");
      this.setOfflineCheckBalance("1");
      this.setIfUseQuota("2");
      this.setAllowBindplatemaxnum("3");
      this.setMaxWeightDish("5000");
      this.setMaxPriceDish("16000");
      this.setTotalMaxWeightDish("5000");
      this.setTotalMaxPriceDish("16000");
      this.setAlarmTime("15");
      this.setMinimumsettlementweight("10");
      this.setStabledifference("2");
      this.setTempDishesPriceUnit("100");
      this.setMaxPriceListForTemporaryDishes("10000");
      this.setIntervalPriceListForTemporaryDishes("50");
      this.setAlarmBelowHowGrams("0");
      this.setIfcareblance("1");
      this.setIfblancealarm("1");
      this.setAlarmblance("0");
   }

   public String getIfBindplatebeforetakefood() {
      return this.ifBindplatebeforetakefood;
   }

   public String getDeviceUITemplate() {
      return this.deviceUITemplate;
   }

   public String getWeighAlarmModel() {
      return this.weighAlarmModel;
   }

   public String getMinimumsettlementweight() {
      return this.minimumsettlementweight;
   }

   public String getStabledifference() {
      return this.stabledifference;
   }

   public String getAlarmBelowHowGrams() {
      return this.alarmBelowHowGrams;
   }

   public String getMaxWeightDish() {
      return this.maxWeightDish;
   }

   public String getMaxPriceDish() {
      return this.maxPriceDish;
   }

   public String getTotalMaxWeightDish() {
      return this.totalMaxWeightDish;
   }

   public String getTotalMaxPriceDish() {
      return this.totalMaxPriceDish;
   }

   public String getIfUseQuota() {
      return this.ifUseQuota;
   }

   public String getQuotaAmountConfig() {
      return this.quotaAmountConfig;
   }

   public String getAmountNotify() {
      return this.amountNotify;
   }

   public String getAllowBindplatemaxnum() {
      return this.allowBindplatemaxnum;
   }

   public String getWeighingValidTimeOnline() {
      return this.weighingValidTimeOnline;
   }

   public String getWaitingPayTime() {
      return this.waitingPayTime;
   }

   public String getIfcareblance() {
      return this.ifcareblance;
   }

   public String getIfblancealarm() {
      return this.ifblancealarm;
   }

   public String getAlarmblance() {
      return this.alarmblance;
   }

   public String getWeighIfSpoonWeight() {
      return this.weighIfSpoonWeight;
   }

   public String getTempDishesPriceUnit() {
      return this.tempDishesPriceUnit;
   }

   public String getMaxPriceListForTemporaryDishes() {
      return this.MaxPriceListForTemporaryDishes;
   }

   public String getIntervalPriceListForTemporaryDishes() {
      return this.IntervalPriceListForTemporaryDishes;
   }

   public String getMixPriceListForTemporaryDishes() {
      return this.MixPriceListForTemporaryDishes;
   }

   public String getIfOffLinePay() {
      return this.ifOffLinePay;
   }

   public String getOfflineCheckBalance() {
      return this.offlineCheckBalance;
   }

   public String getWeighingValidTime() {
      return this.weighingValidTime;
   }

   public String getAlarmTime() {
      return this.alarmTime;
   }

   public void setIfBindplatebeforetakefood(final String ifBindplatebeforetakefood) {
      this.ifBindplatebeforetakefood = ifBindplatebeforetakefood;
   }

   public void setDeviceUITemplate(final String deviceUITemplate) {
      this.deviceUITemplate = deviceUITemplate;
   }

   public void setWeighAlarmModel(final String weighAlarmModel) {
      this.weighAlarmModel = weighAlarmModel;
   }

   public void setMinimumsettlementweight(final String minimumsettlementweight) {
      this.minimumsettlementweight = minimumsettlementweight;
   }

   public void setStabledifference(final String stabledifference) {
      this.stabledifference = stabledifference;
   }

   public void setAlarmBelowHowGrams(final String alarmBelowHowGrams) {
      this.alarmBelowHowGrams = alarmBelowHowGrams;
   }

   public void setMaxWeightDish(final String maxWeightDish) {
      this.maxWeightDish = maxWeightDish;
   }

   public void setMaxPriceDish(final String maxPriceDish) {
      this.maxPriceDish = maxPriceDish;
   }

   public void setTotalMaxWeightDish(final String totalMaxWeightDish) {
      this.totalMaxWeightDish = totalMaxWeightDish;
   }

   public void setTotalMaxPriceDish(final String totalMaxPriceDish) {
      this.totalMaxPriceDish = totalMaxPriceDish;
   }

   public void setIfUseQuota(final String ifUseQuota) {
      this.ifUseQuota = ifUseQuota;
   }

   public void setQuotaAmountConfig(final String quotaAmountConfig) {
      this.quotaAmountConfig = quotaAmountConfig;
   }

   public void setAmountNotify(final String amountNotify) {
      this.amountNotify = amountNotify;
   }

   public void setAllowBindplatemaxnum(final String allowBindplatemaxnum) {
      this.allowBindplatemaxnum = allowBindplatemaxnum;
   }

   public void setWeighingValidTimeOnline(final String weighingValidTimeOnline) {
      this.weighingValidTimeOnline = weighingValidTimeOnline;
   }

   public void setWaitingPayTime(final String waitingPayTime) {
      this.waitingPayTime = waitingPayTime;
   }

   public void setIfcareblance(final String ifcareblance) {
      this.ifcareblance = ifcareblance;
   }

   public void setIfblancealarm(final String ifblancealarm) {
      this.ifblancealarm = ifblancealarm;
   }

   public void setAlarmblance(final String alarmblance) {
      this.alarmblance = alarmblance;
   }

   public void setWeighIfSpoonWeight(final String weighIfSpoonWeight) {
      this.weighIfSpoonWeight = weighIfSpoonWeight;
   }

   public void setTempDishesPriceUnit(final String tempDishesPriceUnit) {
      this.tempDishesPriceUnit = tempDishesPriceUnit;
   }

   @JsonProperty("MaxPriceListForTemporaryDishes")
   public void setMaxPriceListForTemporaryDishes(final String MaxPriceListForTemporaryDishes) {
      this.MaxPriceListForTemporaryDishes = MaxPriceListForTemporaryDishes;
   }

   @JsonProperty("IntervalPriceListForTemporaryDishes")
   public void setIntervalPriceListForTemporaryDishes(final String IntervalPriceListForTemporaryDishes) {
      this.IntervalPriceListForTemporaryDishes = IntervalPriceListForTemporaryDishes;
   }

   @JsonProperty("MixPriceListForTemporaryDishes")
   public void setMixPriceListForTemporaryDishes(final String MixPriceListForTemporaryDishes) {
      this.MixPriceListForTemporaryDishes = MixPriceListForTemporaryDishes;
   }

   public void setIfOffLinePay(final String ifOffLinePay) {
      this.ifOffLinePay = ifOffLinePay;
   }

   public void setOfflineCheckBalance(final String offlineCheckBalance) {
      this.offlineCheckBalance = offlineCheckBalance;
   }

   public void setWeighingValidTime(final String weighingValidTime) {
      this.weighingValidTime = weighingValidTime;
   }

   public void setAlarmTime(final String alarmTime) {
      this.alarmTime = alarmTime;
   }

}
